import json
import random

with open('hi/all.json', 'r') as fp:
    data = json.load(fp)
    tdata = []
    for k in data:
        inst = data[k]
        inst['id'] = k
        tdata.append(inst)
    random.shuffle(tdata)
    size = len(tdata)
    s1 = int(0.8*size)
    s2 = int(0.9*size)
    train = tdata[:s1]
    val = tdata[s1:s2]
    test = tdata[s2:]

    with open('hi/train.json', 'w') as fp1:
        json.dump(train, fp1, ensure_ascii=False, indent=4)
    with open('hi/val.json', 'w') as fp1:
        json.dump(val, fp1, ensure_ascii=False, indent=4)
    with open('hi/test.json', 'w') as fp1:
        json.dump(test, fp1, ensure_ascii=False, indent=4)
